# Uses of Enum Class
org.bukkit.event.EventPriority

Packages that use EventPriority
Package
Description
org.bukkit.event
Classes dedicated to handling triggered code executions.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.

## Uses of EventPriority in org.bukkit.event

Methods in org.bukkit.event that return EventPriority
Modifier and Type
Method
Description
`static EventPriority`
EventPriority.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EventPriority[]`
EventPriority.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of EventPriority in org.bukkit.plugin

Methods in org.bukkit.plugin that return EventPriority
Modifier and Type
Method
Description
`@NotNull EventPriority`
RegisteredListener.`getPriority()`
Gets the priority for this registration
Methods in org.bukkit.plugin with parameters of type EventPriority
Modifier and Type
Method
Description
`void`
PluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin)`
Registers the specified executor to the given event class
`void`
PluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin, boolean ignoreCancelled)`
Registers the specified executor to the given event class
`void`
SimplePluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
SimplePluginManager.`registerEvent(@NotNull Class<? extends Event> event, @NotNull Listener listener, @NotNull EventPriority priority, @NotNull EventExecutor executor, @NotNull Plugin plugin, boolean ignoreCancelled)`
Deprecated, for removal: This API element is subject to removal in a future version.
Registers the given event to the specified listener using a directly passed EventExecutor
Constructors in org.bukkit.plugin with parameters of type EventPriority
Modifier
Constructor
Description
``
`RegisteredListener(@NotNull Listener listener, @NotNull EventExecutor executor, @NotNull EventPriority priority, @NotNull Plugin plugin, boolean ignoreCancelled)`
``
`TimedRegisteredListener(@NotNull Listener pluginListener, @NotNull EventExecutor eventExecutor, @NotNull EventPriority eventPriority, @NotNull Plugin registeredPlugin, boolean listenCancelled)`